{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "type": 1,
        "value": "on,off"
      },
      {
        "resUri": "/capability/temperatureMeasurement/cooler/0",
        "property": "units",
        "type": 1,
        "value": "C,F,K"
      },
      {
        "resUri": "/capability/thermostatCoolingSetpoint/main/0",
        "property": "units",
        "type": 1,
        "value": "C,F,K"
      },
      {
        "resUri": "/capability/filterStatus/main/0",
        "property": "currentMachineState",
        "type": 1,
        "value": "normal,replace"
      },
      {
        "resUri": "/capability/energyMeter/main/0",
        "property": "unit",
        "type": 1,
        "value": "Wh,kWh,mWh"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "name": "WWST Power Switch",
        "desc": "Turn on and off a device\n"
      },
      {
        "resUri": "/capability/relativeHumidityMeasurement/main/0",
        "name": "Humidity",
        "desc": "This resource describes a sensed or desired humidity.\nThe value humidity is an integer describing the percentage measured relative humidity.\nThe value desiredHumidity is an integer showing the desired target relative humidity.\n"
      },
      {
        "resUri": "/capability/airQualitySensor/main/0",
        "name": "WWST Air Quality Sensor Level",
        "desc": "Air Quality Sensor Level\n"
      },
      {
        "resUri": "/capability/temperatureMeasurement/cooler/0",
        "name": "WWST Measured Temperature",
        "desc": "Indoor measured temperature. Used by thermostat, air conditioners, thermometer, etc\n"
      },
      {
        "resUri": "/capability/thermostatCoolingSetpoint/main/0",
        "name": "WWST Temperature",
        "desc": "Setting temperature\n"
      },
      {
        "resUri": "/capability/fanSpeed/main/0",
        "name": "WWST Fan Speed",
        "desc": "Fan Speed\n"
      },
      {
        "resUri": "/capability/airConditionerMode/main/0",
        "name": "WWST Airconditioner Mode",
        "desc": "Airconidtioner mode\n"
      },
      {
        "resUri": "/capability/filterStatus/main/0",
        "name": "WWST Filter State",
        "desc": "Filter State\n"
      },
      {
        "resUri": "/capability/energyMeter/main/0",
        "name": "Energy Meter",
        "desc": "This resource describes the energy consumed by the device as reported by the Energy meter."
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/switch/main/0",
        "property": "power",
        "desc": "State of the power switch."
      },
      {
        "resUri": "/capability/relativeHumidityMeasurement/main/0",
        "property": "humidity",
        "desc": "ReadOnly, Current sensed value for Humidity"
      },
      {
        "resUri": "/capability/relativeHumidityMeasurement/main/0",
        "property": "desiredHumidity",
        "desc": "Desired value for Humidity"
      },
      {
        "resUri": "/capability/airQualitySensor/main/0",
        "property": "airQuality",
        "desc": "Current airQuality"
      },
      {
        "resUri": "/capability/airQualitySensor/main/0",
        "property": "range",
        "desc": "Array defining min,max values for this airQuality on this device"
      },
      {
        "resUri": "/capability/temperatureMeasurement/cooler/0",
        "property": "temperature",
        "desc": "Current temperature setting or measurement"
      },
      {
        "resUri": "/capability/temperatureMeasurement/cooler/0",
        "property": "range",
        "desc": "Array defining min,max values for this temperature on this device"
      },
      {
        "resUri": "/capability/temperatureMeasurement/cooler/0",
        "property": "units",
        "desc": "Units for the temperature value"
      },
      {
        "resUri": "/capability/thermostatCoolingSetpoint/main/0",
        "property": "temperature",
        "desc": "Current temperature setting or measurement"
      },
      {
        "resUri": "/capability/thermostatCoolingSetpoint/main/0",
        "property": "range",
        "desc": "Array defining min,max values for this temperature on this device"
      },
      {
        "resUri": "/capability/thermostatCoolingSetpoint/main/0",
        "property": "units",
        "desc": "Units for the temperature value"
      },
      {
        "resUri": "/capability/fanSpeed/main/0",
        "property": "range",
        "desc": "Array defining min,max values for this fanSpeed on this device"
      },
      {
        "resUri": "/capability/fanSpeed/main/0",
        "property": "step",
        "desc": "Step of fan speed"
      },
      {
        "resUri": "/capability/fanSpeed/main/0",
        "property": "fanSpeed",
        "desc": "Current fanSpeed"
      },
      {
        "resUri": "/capability/airConditionerMode/main/0",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/airConditionerMode/main/0",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/filterStatus/main/0",
        "property": "machineStates",
        "desc": "array of the possible operational states."
      },
      {
        "resUri": "/capability/filterStatus/main/0",
        "property": "currentMachineState",
        "desc": "Current state of operation of the device."
      },
      {
        "resUri": "/capability/energyMeter/main/0",
        "property": "unit",
        "desc": "The current state of unit"
      },
      {
        "resUri": "/capability/energyMeter/main/0",
        "property": "energy",
        "desc": "ReadOnly, Energy consumed"
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "x.wwst.d.airconditioner",
          "deviceName": "[floor a/c]",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com",
          "manufacturingDate": "",
          "modelNumber": "0x0400",
          "platformVersion": "",
          "osVersion": "",
          "hardwareVersion": "SWL-CQ52",
          "firmwareVersion": "Virtual Device_0824",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/switch/main/0",
            "types": [
              "x.com.st.powerswitch"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/relativeHumidityMeasurement/main/0",
            "types": [
              "oic.r.humidity"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/airQualitySensor/main/0",
            "types": [
              "x.com.st.airqualitylevel"
            ],
            "interfaces": [
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/temperatureMeasurement/cooler/0",
            "types": [
              "x.com.st.temperature.measured"
            ],
            "interfaces": [
              "C",
              "F",
              "K",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/thermostatCoolingSetpoint/main/0",
            "types": [
              "x.com.st.temperature.cooling"
            ],
            "interfaces": [
              "C",
              "F",
              "K",
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/fanSpeed/main/0",
            "types": [
              "x.com.st.fanspeed"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/airConditionerMode/main/0",
            "types": [
              "x.com.st.mode.airconditioner"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/filterStatus/main/0",
            "types": [
              "x.com.st.filter"
            ],
            "interfaces": [
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/energyMeter/main/0",
            "types": [
              "x.com.st.energymeter"
            ],
            "interfaces": [
              "oic.if.baseline",
              "oic.if.s"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.powerswitch",
      "properties": [
        {
          "key": "power",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "oic.r.humidity",
      "properties": [
        {
          "key": "humidity",
          "type": 1,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "desiredHumidity",
          "type": 1,
          "mandatory": false,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.airqualitylevel",
      "properties": [
        {
          "key": "airQuality",
          "type": 2,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "range",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.temperature.measured",
      "properties": [
        {
          "key": "temperature",
          "type": 2,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "range",
          "type": 9,
          "mandatory": false,
          "rw": 1
        },
        {
          "key": "units",
          "type": 3,
          "mandatory": false,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.temperature.cooling",
      "properties": [
        {
          "key": "temperature",
          "type": 2,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "range",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "units",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.fanspeed",
      "properties": [
        {
          "key": "range",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "step",
          "type": 1,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "fanSpeed",
          "type": 1,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.mode.airconditioner",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.filter",
      "properties": [
        {
          "key": "machineStates",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "currentMachineState",
          "type": 3,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.energymeter",
      "properties": [
        {
          "key": "unit",
          "type": 3,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "energy",
          "type": 2,
          "mandatory": true,
          "rw": 1
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "artikserversecured.dat",
      "provisioning": "provisioning.dat",
      "certificate": "certificate.pem",
      "privateKey": "privatekey.der"
    }
  }
}
